Passa al contenuto principale

Can install SSL certificate on hosting

GET 

/api/v3/hostings/:hosting_id/ssl-certificates/can-install

Required scopes: hosting:read

Checks, with the rules of the installation (POST /api/v3/hostings/{hosting_id}/ssl-certificates) and its fields in the query, whether the SSL certificate can be installed on the hosting now, and why not: a certificate already installed, the CNAME record that delegates the validation of Let's Encrypt missing from DNS that are not on our nameservers (dns_delegation has the record to create), the limit of Let's Encrypt installations, the hosting not active yet, an operation running. With DNS on our nameservers the installation creates the CNAME record by itself. Invalid fields respond 400, as in the installation

Request​

Responses​

OK